AM261x MCU+ SDK: CANFD_MessageObject Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CANFD_MessageObject Struct Reference
APIs for SOC Specific Device Drivers » APIs for CANFD

## Data Fields
uint32_t | startMsgId
| Starting range of the Message Id to which the configuration belongs. For Tx and single Message Id objects the startMsgId = endMsgId. More...
uint32_t | endMsgId
| Ending range of the Message Id to which the configuration belongs For Tx and single Message Id objects the startMsgId = endMsgId. More...
CANFD_Config * | canfdHandle
| Pointer to the CANFD driver object. More...
CANFD_Direction | direction
| Message object direction. More...
CANFD_MCANXidType | msgIdType
| Message object type. More...
uint32_t | messageObjNum
| Allocated message object number. More...
uint32_t | dataLength
| Data Length used by application for transmission and reception. Valid values: 1 to 64 bytes. More...
uint32_t | txElement
| Tx buffer number used to send data. More...
uint32_t | rxElement
| Rx buffer number used to receive data. More...
MCAN_MemType | txMemType
| Part of message ram to accessed by this message object. Refer enum MCAN_MemType. More...
MCAN_MemType | rxMemType
| Part of message ram to accessed by this message object. Refer enum MCAN_MemType. More...
uint32_t | rxFifoNum
| FIFO Num (MCAN_RX_FIFO_NUM_0/MCAN_RX_FIFO_NUM_1). More...
uint32_t | interruptsRxed
| Number of interrupts received. More...
uint32_t | messageProcessed
| Number of messages processed. More...
uint32_t | dmaEventNo
| Dma Event number allocated for this message object. More...
CANFD_DmaMsgConfig | dmaMsgConfig
| Dma message configuration. More...
void * | args
| Pointer to be used by application to store rx buffer. More...
void * | filterConfig
| void pointer to MCAN_ExtMsgIDFilterElement or MCAN_StdMsgIDFilterElement structure. It will point to any of the two structure based on fdMode. More...

## Field Documentation

## ◆ startMsgId

uint32_t CANFD_MessageObject::startMsgId

Starting range of the Message Id to which the configuration belongs. For Tx and single Message Id objects the startMsgId = endMsgId.

## ◆ endMsgId

uint32_t CANFD_MessageObject::endMsgId

Ending range of the Message Id to which the configuration belongs For Tx and single Message Id objects the startMsgId = endMsgId.

## ◆ canfdHandle

CANFD_Config* CANFD_MessageObject::canfdHandle

Pointer to the CANFD driver object.

## ◆ direction

CANFD_Direction CANFD_MessageObject::direction

Message object direction.

## ◆ msgIdType

CANFD_MCANXidType CANFD_MessageObject::msgIdType

Message object type.

## ◆ messageObjNum

uint32_t CANFD_MessageObject::messageObjNum

Allocated message object number.

## ◆ dataLength

uint32_t CANFD_MessageObject::dataLength

Data Length used by application for transmission and reception. Valid values: 1 to 64 bytes.

## ◆ txElement

uint32_t CANFD_MessageObject::txElement

Tx buffer number used to send data.

## ◆ rxElement

uint32_t CANFD_MessageObject::rxElement

Rx buffer number used to receive data.

## ◆ txMemType

MCAN_MemType CANFD_MessageObject::txMemType

Part of message ram to accessed by this message object. Refer enum MCAN_MemType.

## ◆ rxMemType

MCAN_MemType CANFD_MessageObject::rxMemType

Part of message ram to accessed by this message object. Refer enum MCAN_MemType.

## ◆ rxFifoNum

uint32_t CANFD_MessageObject::rxFifoNum

FIFO Num (MCAN_RX_FIFO_NUM_0/MCAN_RX_FIFO_NUM_1).

## ◆ interruptsRxed

uint32_t CANFD_MessageObject::interruptsRxed

Number of interrupts received.

## ◆ messageProcessed

uint32_t CANFD_MessageObject::messageProcessed

Number of messages processed.

## ◆ dmaEventNo

uint32_t CANFD_MessageObject::dmaEventNo

Dma Event number allocated for this message object.

## ◆ dmaMsgConfig

CANFD_DmaMsgConfig CANFD_MessageObject::dmaMsgConfig

Dma message configuration.

## ◆ args

void* CANFD_MessageObject::args

Pointer to be used by application to store rx buffer.

## ◆ filterConfig

void* CANFD_MessageObject::filterConfig

void pointer to MCAN_ExtMsgIDFilterElement or MCAN_StdMsgIDFilterElement structure. It will point
to any of the two structure based on fdMode.